> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener el listado de clientes

> Usa este método para obtener el detalle de un cliente.



## OpenAPI

````yaml get /clients
openapi: 3.0.0
info:
  title: Client Endpoint API
  version: 1.0.0
servers:
  - url: https://api.getjusto.com/api/v2
    description: Production server
security: []
tags:
  - name: client
    description: Todo lo relacionado a operar con clientes
paths:
  /clients:
    get:
      tags:
        - client
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Resultado de la operación
                    example: ok
                  data:
                    $ref: '#/components/schemas/clientsResultGet'
                    type: object
        '400':
          description: Error en la petición
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Resultado de la operación
                    example: error
                  error:
                    type: string
                    description: Mensaje de error
                    example: Error en la petición
        '401':
          description: Token inválido
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: Resultado de la operación
                    example: error
                  error:
                    type: string
                    description: Mensaje de error
                    example: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    clientsResultGet:
      type: object
      properties:
        totalPages:
          type: number
          description: Total de páginas
        totalCount:
          type: number
          description: Total de clientes
        hasNextPage:
          type: boolean
          description: Indica si hay una página siguiente
        hasPreviousPage:
          type: boolean
          description: Indica si hay una página anterior
        status:
          type: string
          description: Resultado de la operación.
        items:
          type: array
          items:
            $ref: '#/components/schemas/clientResultGet'
    clientResultGet:
      type: object
      properties:
        _id:
          type: string
          description: Identificador del cliente
        name:
          type: string
          description: Nombre del cliente
        email:
          type: string
          description: Email del cliente
        phone:
          type: string
          description: Teléfono del cliente
        firstLogin:
          type: string
          description: Fecha de primer login
        lastLogin:
          type: string
          description: Fecha de último login
        ordersCount:
          type: number
          description: Cantidad de pedidos
        firstOrder:
          type: string
          format: date-time
          description: Fecha de primer pedido
        lastOrder:
          type: string
          format: date-time
          description: Fecha de último pedido
        pointsBalance:
          type: number
          description: Cantidad de puntos
        marketingEmailEnabled:
          type: boolean
          description: Indica si el cliente tiene habilitado el correo marketing
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````